# parseHostname

Controls whether imkafka parses the hostname from each received message.

This parameter applies to imkafka: read from Apache Kafka.

Name:

  parseHostname

Scope:

  input

Type:

  boolean

Default:

  input=``off``

Required?:

  no

Introduced:

  8.38.0

## Description

If this parameter is set to on, imkafka will parse the hostname in log if it exists. The result can be retrieved from $hostname. If it’s off, for compatibility reasons, the local hostname is used, same as the previous version.

## Input usage

    module(load="imkafka")
    input(type="imkafka"
          topic="your-topic"
          parseHostname="on")

## See also

See also imkafka: read from Apache Kafka.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.